/**
 *
 * @module package/quiqqer/health/bin/classes/Linkchecker
 * @author www.pcsg.de (Henning Leutz)
 *
 * @require qui/QUI
 * @require qui/classes/DOM
 * @require Ajax
 */
define('package/quiqqer/health/bin/classes/Linkchecker', [

    'qui/QUI',
    'qui/classes/DOM',
    'Ajax'

], function (QUI, QUIDOM, Ajax) {
    "use strict";

    return new Class({

        Extends: QUIDOM,
        Type   : 'package/quiqqer/health/bin/classes/Linkchecker',

        /**
         * Return all job lists
         *
         * @param {Object} params - grid params
         * @returns {Promise}
         */
        getJobs: function (params) {
            params = params || {};

            return new Promise(function (resolve, reject) {
                Ajax.get('package_quiqqer_health_ajax_linkchecker_jobs', resolve, {
                    'package': 'quiqqer/health',
                    params   : JSON.encode(params),
                    onError  : reject
                });
            });
        },

        /**
         * Return the data of one linkchecker job
         *
         * @param {Number} jobId
         * @returns {Promise}
         */
        getJob: function (jobId) {
            return new Promise(function (resolve, reject) {
                Ajax.get('package_quiqqer_health_ajax_linkchecker_job', resolve, {
                    'package': 'quiqqer/health',
                    jobId    : jobId,
                    onError  : reject
                });
            });
        }
    });
});
